local lspconfig = require("lspconfig")

vim.lsp.handlers["textDocument/publishDiagnostics"] = vim.lsp.with(
	vim.lsp.diagnostic.on_publish_diagnostics, {
		virtual_text = true
	}
)

lspconfig.clangd.setup({})

lspconfig.lua_ls.setup({
	settings = {
		Lua = {
			hint = {
				enable = true,
			},
		},
	}
})

lspconfig.eslint.setup({
	settings = {
		codeActionOnSave = {
			enable = true,
			mode = "all",
		},
		format = true,
	}
})

vim.lsp.enable('tailwindcss')

lspconfig.tailwindcss.setup({})

lspconfig.ts_ls.setup({
	settings = {
		typescript = {
			inlayHints = {
				includeInlayParameterNameHints = "all", -- 'none' | 'literals' | 'all'
				includeInlayFunctionParameterTypeHints = true,
				includeInlayVariableTypeHints = true,
				includeInlayPropertyDeclarationTypeHints = true,
			},
		},
		javascript = {
			inlayHints = {
				includeInlayParameterNameHints = "all", -- 'none' | 'literals' | 'all'
				includeInlayFunctionParameterTypeHints = true,
				includeInlayVariableTypeHints = true,
				includeInlayPropertyDeclarationTypeHints = true,
			},
		},
	}
})
